Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.conn
Class DefaultClientAsyncConnectionFactory

    java.lang.Object
      org.apache.http.impl.nio.conn.DefaultClientAsyncConnectionFactory

All Implemented Interfaces:
  ClientAsyncConnectionFactory, NHttpConnectionFactory<ManagedNHttpClientConnection>

Deprecated.

    @Deprecated
    public class DefaultClientAsyncConnectionFactory

extends Object
implements ClientAsyncConnectionFactory, NHttpConnectionFactory<ManagedNHttpClientConnection>

Field Summary
`static DefaultClientAsyncConnectionFactory` | `INSTANCE` Deprecated.

Constructor Summary
`DefaultClientAsyncConnectionFactory()` Deprecated.
`DefaultClientAsyncConnectionFactory(org.apache.http.nio.NHttpMessageParserFactory<org.apache.http.HttpResponse> responseParserFactory, org.apache.http.nio.util.ByteBufferAllocator allocator)` Deprecated.

Method Summary
`ManagedNHttpClientConnection` | `create(org.apache.http.nio.reactor.IOSession ioSession, org.apache.http.config.ConnectionConfig config)` Deprecated.
`ClientAsyncConnection` | `create(String id, org.apache.http.nio.reactor.IOSession ioSession, org.apache.http.params.HttpParams params)` Deprecated.
`protected org.apache.http.nio.util.ByteBufferAllocator` | `createByteBufferAllocator()` Deprecated.
`protected org.apache.http.HttpResponseFactory` | `createHttpResponseFactory()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DefaultClientAsyncConnectionFactory INSTANCE

  Deprecated.

Constructor Detail

### DefaultClientAsyncConnectionFactory

    public DefaultClientAsyncConnectionFactory(org.apache.http.nio.NHttpMessageParserFactory<org.apache.http.HttpResponse> responseParserFactory,
                                               org.apache.http.nio.util.ByteBufferAllocator allocator)

  Deprecated.

### DefaultClientAsyncConnectionFactory

    public DefaultClientAsyncConnectionFactory()

  Deprecated.

Method Detail

### create

    @Deprecated
    public ClientAsyncConnection create(String id,
                                                   org.apache.http.nio.reactor.IOSession ioSession,
                                                   org.apache.http.params.HttpParams params)

  Deprecated.

  Specified by:
    `create` in interface `ClientAsyncConnectionFactory`

### createByteBufferAllocator

    @Deprecated
    protected org.apache.http.nio.util.ByteBufferAllocator createByteBufferAllocator()

  Deprecated.

### createHttpResponseFactory

    @Deprecated
    protected org.apache.http.HttpResponseFactory createHttpResponseFactory()

  Deprecated.

### create

    public ManagedNHttpClientConnection create(org.apache.http.nio.reactor.IOSession ioSession,
                                               org.apache.http.config.ConnectionConfig config)

  Deprecated.
  Specified by:
    `create` in interface `NHttpConnectionFactory<ManagedNHttpClientConnection>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.